using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ManualSoftwareSystem.lib
{
    internal class clsLanguageEnglish
    {
        public string Translate(string strEnglish)
        {
            switch (strEnglish)
            {
                case "文字 -強制":
                    return "character-force";
                case "小数点±":
                    return "decimal point ±";
                case "形式":
                    return "format";
                case "図番":
                    return "drawing number";
                case "版数":
                    return "Edition number";
                case "インデックス":
                    return "index";
                case "情報1":
                    return "Information 1";
                case "情報2":
                    return "Information 2";
                case "情報3":
                    return "Information 3";
                case "情報4":
                    return "Information 4";
                case "情報5":
                    return "Information 5";
                case "1検査-1":
                    return "1 inspection-1";
                case "1検査-2":
                    return "1 Inspection-2";
                case "1検査-3":
                    return "1 Inspection-3";
                case "総台数":
                    return "Total number";
                case "この番号":
                    return "this number";
                case "認識名称(シリアルNo)":
                    return "Recognition name (serial number)";
                case "認識番号(製造番号)":
                    return "Identification number (manufacturing number)";
                case "他１":
                    return "1 other";
                case "他２":
                    return "2 others";
                case "他３":
                    return "3 others";
                case "他４":
                    return "4 others";
                case "他５":
                    return "5 others";
                case "1/1目の検査":
                    return "1/1 eye inspection";
                case "否":
                    return "no";
                case "管理者記入欄":
                    return "Administrator entry field";
                default:
                    return strEnglish;


            }
        }
    }
}
